using System;
using System.Collections.Generic;
using System.Text;

/// <summary>
/// This class exists for the sole purpose of being able to locate bitmaps within the 
/// assembly. There is a bug in the ToolboxBitmap attribute where it will attempt to 
/// prepend the namespace of the class to the location of the bitmap. The bitmap does 
/// not exist at that location. So to work around this problem a class that does not exist
/// in any namespace must be used to locate the bitmap.
/// </summary>
internal class EmbeddedResourceFinder
{
}
