/* -----------------------------------------------------------------
 * (c) Teradyne, Inc, 2007
 * All Rights Reserved
 * Inclusion of a copyright notice does not imply that this software
 * has been published.  This software is the trade secret information
 * of Teradyne, Inc.  Use of this software is only in accordance with
 * the terms of a license agreement from Teradyne, Inc.
 * -------------------------------------------------------------------
 */
/*-------------------------------------------------------------------
 * This class is an encapsulation of the NSPCP collections for a panel of the editor
 * ------------------------------------------------------------------
 */

/*
 **************************************************************************************************
 *   Revision history:
 *   Author          Date        Description of change
 *   =============================================================================================
 *   Andy Kittross   16-Oct-2007    Made a separate class for each panel.
 **************************************************************************************************/

using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;

namespace Teradyne.Igxl.PSetSignalsEditor
{
    public class PanelNspcpValues
    {
        private System.Collections.ArrayList psetArrayList = new System.Collections.ArrayList();
        private System.Collections.ArrayList signalArrayList = new System.Collections.ArrayList();
        public ArrayList PSetValues
        {
            get { return psetArrayList; }
            set { psetArrayList = value; }
        }

        public ArrayList SignalValues
        {
            get { return signalArrayList; }
            set { signalArrayList = value; }
        }
    }

    public class globalPSetSignalValues
    {
        public  PanelNspcpValues MainPanel = new PanelNspcpValues();
        public  PanelNspcpValues ComparePanel = new PanelNspcpValues();
        private  System.Collections.ArrayList nspcpArrayList = new System.Collections.ArrayList();
        public  ArrayList globalNspcpValues
        {
            get { return nspcpArrayList; }
            set { nspcpArrayList = value; }
        }
    }
}
