// ------------------------------------------------------------------
// (c) Teradyne, Inc, 2006
//     All Rights Reserved
// Inclusion of a copyright notice does not imply that this software
// has been published.  This software is the trade secret information
// of Teradyne, Inc.  Use of this software is only in accordance with
// the terms of a license agreement from Teradyne, Inc.
// ------------------------------------------------------------------
// GridUndoInfo.cs - <Add a description about this file>
// *************************************************************************************/
//   Revision history:
//   Author         Date        Description of change
//   =================================================================
//   shoban         9/5/2007    Created
// *************************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace Teradyne.Igxl.PSetSignalsEditor
{
    class GridUndoInfo
    {
        private int m_row;
        private int m_col;
        private String m_currentData;
        private String m_oldData;

        public GridUndoInfo(int row, int col, String oldData, String currentData)
        {
            m_row = row;
            m_col = col;
            m_oldData = oldData;
            m_currentData = currentData;
        }

        public int Row
        {
            get { return m_row; }
        }

        public int Column
        {
            get { return m_col; }
        }

        public String OldData
        {
            get { return m_oldData; }
        }

        public String CurrentData
        {
            get { return m_currentData; }
        }
    }
}
